Rotating shape crash (or hang?) Inkscape

Bug #1356872 reported by Paul on 2014-08-14
20
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Inkscape
High
Unassigned

Bug Description

In the attached file, simply try to rotate the (only) shape. It crashes or sometimes just hang Inkscape.

Paul (p-naude) wrote :
su_v (suv-lp) on 2014-08-14
tags: added: filters-svg transformations
removed: hang rotate
Kelvin Song (kelvinsong) wrote :

Couldn't reproduce I managed to rotate the shape just fine (albeit it was really slow). I'm on ubuntu 14.04 with the inkscape-trunk buildd

su_v (suv-lp) wrote :

Crash reproduced with Inkscape 0.48.5 on OS X 10.7.5 (backtrace attached).

Changed in inkscape:
importance: Undecided → High
status: New → Confirmed
su_v (suv-lp) wrote :

With latest trunk (r13520) on OS X 10.7.5, the rotated filtered shape collapses to a zero-sized object in the svg origin (upper left corner of the page). No crash though, and no related messages on the console either.

su_v (suv-lp) wrote :

TEst case saved after rotating with r13520.

su_v (suv-lp) wrote :

On 2014-08-15 04:27 , Kelvin Song wrote:
> Couldn't reproduce I managed to rotate the shape just fine (albeit
> it was really slow). I'm on ubuntu 14.04 with the inkscape-trunk

Confirmed with trunk rev <= 13511 (very slow, but ok). With rev >= 13512 the rotated filtered shape collapses, and has these values:

       transform="scale(0,0)"
       inkscape:transform-center-x="nan"
       inkscape:transform-center-y="nan"

Due to the rotation center issues (which have been fixed in rev. #13534), the transformation center would be set NaN instead of to a finite number. This indeed leads to a zero sized object at the origin when trying to rotate, as described by ~suv in comment #4. This no longer happens, so that part of this bug has been closed.

I haven't been able to reproduce the crash though; can any of you? This crash could very well have been related, but I cannot tell from the backtrace if it truly is.

su_v (suv-lp) wrote :

On 2014-08-26 22:50 , Diederik van Lierop wrote:
> I haven't been able to reproduce the crash though; can any of you?

I was only able to reproduce the crash with stable (e.g. 0.48.5) but not with trunk, so this part could be considered fixed for 0.91.

Rotating the shape in trunk however is painfully slow - even with the fix for the rotation center regression in (r13534) - unless view mode is changed to 'No filter' or 'Outline' (rendering issue).

jazzynico (jazzynico) wrote :

Still very slow on Windows XP with trunk rev. 14005.
Note that the matrix is a bit weird, mixing big values (314, 922) with very small values (-0.36, -0.094).
After removing the matrix, the shape (of course very different compared to the original one) rotates as expected.

jazzynico (jazzynico) on 2016-06-22
Changed in inkscape:
status: Confirmed → Triaged
Jan Bol (jan-bol) wrote :

Same problem here. A new document in which I only did a few thing after a fresh start of Inkscape.

Appart from some colour changes, this is what I did:

- Changed background colour
- Drawn partial ellips
- Copied this ellips, scaled it down.
- Copied large white ellips, made it closed circle egain
- Set guides to center of closed circle
- Removed large circle
- Moved rotation point of smaller blue to center.
- Tried to rotate it

What happened next:

- The rotation point shifts to left and up
- Rotation around false rotation pointst starts
- Inkscape crashes.

Attached subject file and screenshot after crash

System setup:

 Windows 7 Ultimate Service Pack 1 64 bits
 Inkscape Inkscape 0.92.0 r15299 32 bits

Jan Bol (jan-bol) wrote :
Jan Bol (jan-bol) wrote :

Additional observation:

Initially I could reproduce the problem with the automatically saved file. This is the file I attached. After opening it again rotation works fine now.

birdflow (birdflow) wrote :

TestCrash.svg (8.6 KiB, image/svg+xml) works fine for me.

offending svg.svg crashes Inkscape 0.92.1 r15371 Win10 64bit and inkscape_r15653_win64_MSYS2.7z 2017-Apr-30 18:00:25

Steps:
open and select the right path #rect4521-3-3 with the select too.
Select again to enable rotate mode.
Drag one of the rotate icons.
Runtime error occurs on mouse release.

David Nottebohm (knochi) wrote :

Can reproduce the error with recent 92.3 on win64 and attached file..
try to rotate the red square, after few seconds a runtime error pops up.

Alvin Penner (apenner) wrote :

crash not reproduced on Windows 10, Inkscape 0.92.3 (2405546, 2018-03-11), using either rotateBug.svg or offending svg.svg.

- just for curiosity, does the crash go away if you disable snapping?
- could you run Inkscape from DOS or CLI to see if there are exit messages?

David Nottebohm (knochi) wrote :

Confirmed! Without snapping no problems.

Actually the crash happens when geometry snaps to something.

CLI exit message says the following:

terminate called after throwing an instance of 'Geom::LogicalError'
  what(): lib2geom exception: the passed coefficients give the empty set (../src/2geom/line.cpp:66)

Hopefully someone can fix that.

Alvin Penner (apenner) wrote :

thanks for testing!
sounds similar to:
https://bugs.launchpad.net/inkscape/+bug/1677534

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers